#
# spec file for package solarwolf
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           solarwolf
Version:        1.5
Release:        lp152.3.3
Summary:        Action/arcade game originally based on SolarFox
License:        LGPL-2.1+
Group:          Amusements/Games/Action/Arcade
Url:            http://www.pygame.org/shredwheat/solarwolf/index.shtml
Source0:        http://www.pygame.org/shredwheat/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.sh
Source2:        %{name}.desktop
Source3:        solar-wolf-logo-64.png
Source4:        %{name}-rpmlintrc
%if 0%{?suse_version}
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
%endif
BuildRequires:  python
Requires:       libmikmod
Requires:       pygame
BuildArch:      noarch

%description
The point of this game is to scramble through 48 levels of patterns,
collecting all the boxes. The part that makes it tricky is avoiding the
relentless hailstorm of fire coming at you from all directions.

Authors:
--------
    Pete Shinners <pete@shinners.org>

%prep
%setup
find -type d | xargs chmod 755

# Remove not needed files
rm -rf data/.xvpics

%build

%install
# install wrapper
install -Dm 0755 %{S:1} %{buildroot}%{_bindir}/%{name}

# install directories
mkdir -p %{buildroot}%{_datadir}/%{name}/{code,data}
for d in code data ; do
    cp -r "$d"/* %{buildroot}%{_datadir}/%{name}/"$d"
done

# install files
install -Dm 0755 %{name}.py %{buildroot}%{_datadir}/%{name}

# install icon
install -Dm 0644 %{S:3} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install Desktop file
install -Dm 0644 %{S:2} %{buildroot}%{_datadir}/applications/%{name}.desktop

python -m compileall -d %{_datadir}/%{name} %{buildroot}%{_datadir}/%{name}
python -O -m compileall -d %{_datadir}/%{name} %{buildroot}%{_datadir}/%{name}

%if 0%{?suse_version}
%suse_update_desktop_file %{name}
%fdupes -s %{buildroot}%{_prefix}
%endif

%files
%defattr(-,root,root,-)
%doc *.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%changelog
* Mon Oct 13 2014 nemysis@gmx.ch
- Add Source4 solarwolf-rpmlintrc
* Sun Oct 12 2014 nemysis@gmx.ch
- Use Requires for libmikmod instead of BuildRequires libmikmod-devel
- Add solarwolf-rpmlintrc, for false positive libmikmod
* Sun Oct 12 2014 nemysis@gmx.ch
- Use check for openSUSE %%if 0%%{?suse_version}
- Use BuildRequires libmikmod-devel instead of libmikmod
* Fri Oct 10 2014 nemysis@gmx.ch
- Use based on instead of based of
* Wed Oct  8 2014 nemysis@gmx.ch
- Add BuildRequires for  desktop-file-utils
* Tue Oct  7 2014 nemysis@gmx.ch
- Change Desktop entry file
- Change %%{name}.sh
- Change URL
- Change Source0 to use Web URL
- Add BuildRequires for fdupes
- Use BuildRequires instead of Requires for libmikmod
- Simplify installation handling, fix paths use datadir
* Sun May 27 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
* Fri Sep  3 2010 jmatejek@novell.com
- switched to noarch
- added libmikmod to explicit requires
* Fri Apr 27 2007 jmatejek@suse.cz
- added Categories and Encoding to desktop file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  2 2006 jmatejek@suse.cz
- added icon file (bug #113661)
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Thu Mar 18 2004 mcihar@suse.cz
- removed .xvpics
* Mon Feb 23 2004 mcihar@suse.cz
- update to 1.5:
    The same challenging gameplay with only minor refinements. More new music
    from P2E, enhanced game screens, and user preferences.
* Fri Jan  9 2004 mcihar@suse.cz
- update to 1.4:
    This version includes many new POV-Ray rendered graphics, new deadly spiked
    mines, and more powerups. It also tweaks the gameplay, to be more frantic
    in the higher levels.
* Mon Sep 29 2003 mcihar@suse.cz
- updated to 1.3:
    This release makes big changes to gameplay by adding asteroids to your
    not-so-quiet corner of the galaxy. Other game improvements include a help
    system, pausing, updated graphics, more levels, and bugfixes.
* Sun Aug 10 2003 sndirsch@suse.de
- added desktop file
* Tue Aug  5 2003 mcihar@suse.cz
- updated to 1.2
* Mon Aug 12 2002 vinil@suse.de
- new version: 1.1
* Sun Jun 23 2002 ro@suse.de
- fixed directory permissions
* Mon Jun  3 2002 ro@suse.de
- fixed for lib64 platforms
* Mon Feb 18 2002 vinil@suse.cz
- byte-compile python
- move package from noarch to arch-dependent
* Thu Jan 31 2002 nadvornik@suse.cz
- new package
